<?php

/*
 count($channelInfoNew) ins web integrieren unterhalb der channel liste
*/ 

include ("inc/bot.include.inc.php");

include("inc/botcmd.php");
include("inc/taillog.php");
include("inc/fulllog.php");
include("inc/title.php");
include("inc/cpuload.php");
include("inc/getlogsize.php");
include("inc/fwdstatus.php");
include("inc/queue.php");
include("inc/loadconf.php");
include("inc/getconf.php");
include("inc/sort.php");

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$botconf="../conf/pandabot.conf";

if ($_REQUEST["opt"]=="sortchannels") {
	echo $_REQUEST["opt"]."<br>";
	exit;
}

switch ($_REQUEST["opt"]) {
 case "botcmd":  botcmd($_REQUEST["act"]);
 break; 
 case "taillog": taillog();
 break; 
 case "fulllog": fulllog();
 break; 
 case "title":   title();
 break; 
 case "cpuload":  cpuload();
 break; 
 case "getlogsize": getlogsize();
 break; 
 case "fwdstatus": fwdstatus();
 break; 
 case "queue": queue();
 break; 
 case "loadconf": loadconf();
 break; 
 case "getconf": getconf($_REQUEST["act"]);
 break; 
 case "sortchannels": 
  echo "1234";
  print_r($_REQUEST);
 sortchannels($_REQUEST["act"]);
 break; 
} // switch ($_REQUEST["opt"]) 


